Cupti: CUpti_ActivityInstructionExecution Struct Reference

# CUpti_ActivityInstructionExecution Struct Reference
[CUPTI Activity API]

The activity record for source-level instruction execution. More...

## Data Fields
uint32_t | correlationId
uint32_t | executed
CUpti_ActivityFlag | flags
uint32_t | functionId
CUpti_ActivityKind | kind
uint64_t | notPredOffThreadsExecuted
uint32_t | pad
uint32_t | pcOffset
uint32_t | sourceLocatorId
uint64_t | threadsExecuted

## Detailed Description

This activity records result for source level instruction execution. (CUPTI_ACTIVITY_KIND_INSTRUCTION_EXECUTION).

## Field Documentation

uint32_t CUpti_ActivityInstructionExecution::correlationId

The correlation ID of the kernel to which this result is associated.

uint32_t CUpti_ActivityInstructionExecution::executed

The number of times this instruction was executed per warp. It will be incremented regardless of predicate or condition code.

CUpti_ActivityFlag CUpti_ActivityInstructionExecution::flags

The properties of this instruction execution.

uint32_t CUpti_ActivityInstructionExecution::functionId

Correlation ID with global/device function name

CUpti_ActivityKind CUpti_ActivityInstructionExecution::kind

The activity record kind, must be CUPTI_ACTIVITY_KIND_INSTRUCTION_EXECUTION.

uint64_t CUpti_ActivityInstructionExecution::notPredOffThreadsExecuted

This increments each time when this instruction is executed by number of threads that executed this instruction with predicate and condition code evaluating to true.

uint32_t CUpti_ActivityInstructionExecution::pad

Undefined. Reserved for internal use.

uint32_t CUpti_ActivityInstructionExecution::pcOffset

The pc offset for the instruction.

uint32_t CUpti_ActivityInstructionExecution::sourceLocatorId

The ID for source locator.

uint64_t CUpti_ActivityInstructionExecution::threadsExecuted

This increments each time when this instruction is executed by number of threads that executed this instruction, regardless of predicate or condition code.